noise.hpp File Reference

GLM_GTC_noise More...

Go to the source code of this file.

## Functions

template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | perlin (vecType< T, P > const &p)
| Classic perlin noise. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | perlin (vecType< T, P > const &p, vecType< T, P > const &rep)
| Periodic perlin noise. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | simplex (vecType< T, P > const &p)
| Simplex noise. More...

## Detailed Description

GLM_GTC_noise

See also
  GLM Core (dependence)

Definition in file noise.hpp.